      PROGRAM INPUT_EXAMPLE
      IMPLICIT NONE
      DOUBLE PRECISION ALPHA,BETA,A,U0,MU0,UF,SU
      INTEGER TPR,N,I,STANDARD,QL,NUP
      STANDARD=0
      QL=0
C This is the number of geodesics.
      N=20
C This is the number of points per geodesic
      NUP=50
      A=0.D0
      TPR=1
      SU=1.D0
      UF=1.d0/(1.d0+sqrt(1.d0-A*A))
      MU0=0.9D0
      U0=1.D0/30.D0
      BETA=0.D0
C example.in is the name of the input file.
      OPEN(UNIT=12,FILE='example.in')
      WRITE(12,*) STANDARD
      WRITE(12,*) QL
      WRITE(12,*) N
      WRITE(12,*) A
      WRITE(12,*) NUP
      DO I=1,N
C The unstable circular photon orbit is at Alpha^2+Beta^2=27.
        ALPHA=SQRT(27.D0)*10.d0**(1.D-4*(-10.D0+DBLE(I)))
        WRITE(12,200) ALPHA,BETA,U0,MU0,UF,SU,TPR
      ENDDO
      CLOSE(UNIT=12)
200   FORMAT(6D25.16,I6)
      END
